<template>
	<view>
		<view class="user-header dflex">
			<image class="header-pic" src="../../static/images/userimg.png"></image>
			<view>
				<view class="user-name">李木子</view>
				<view class="ddflex">
					<view class="user-tag">高价值</view>
				</view>
			</view>
		</view>
		
		<view class="form">
			<view class="form-title">客户资料</view>
			<view class="ddflex form-item">
				<view class="form-label">销售员工号</view>
				<view class="form-data fflex">1234567</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">姓名</view>
				<view class="form-data fflex">李木子</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">性别</view>
				<view class="form-data fflex">女</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">联系电话</view>
				<view class="form-data ddflex fflex">
					<view class="fflex ddflex">
						<text>{{styTelTextFn('13811116006')}}</text>
						<image style="width: 27rpx;height: 27rpx;margin-left: 10rpx;" src="../static/images/copy.png" @click="copy('13811116006')"></image>
					</view>
					<view class="ddflex form-btn" @click="callPhone('13811116006')">
						<image style="width: 22rpx;height: 22rpx;margin-right: 10rpx;" src="../../static/pages/images/phone1.png"></image>
						联系
					</view>
				</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">客户类别</view>
				<view class="form-data fflex">客户</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">客户来源</view>
				<view class="form-data fflex">公众号</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">网格地址编码</view>
				<view class="form-data fflex">-</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">保单</view>
				<view class="form-data fflex">2</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">共计保费</view>
				<view class="form-data fflex">139元</view>
			</view>
			<view class="dflex form-item">
				<view class="form-label">关联产品</view>
				<view class="form-data fflex">
					<view>湖南爱民宝2023</view>
					<view>湖南爱民宝2023</view>
				</view>
			</view>
			<view class="form-title" style="margin-top: 50rpx;">经营服务策略</view>
			<view class="c-info">
				刺激消费频率
			</view>
		</view>

	</view>
</template>

<script>
	const app = getApp();
	const req = require("../../utils/request.js");
	const utils = require("../../utils/util.js")
	export default {
		components: {},
		props: {},
		data() {
			return {
			}
		},
		onLoad(options) {

		},
		onShow() {
			
		},
		methods: {
			styTelTextFn(data){
				return utils.styTelText(data)
			},
			// 复制
			copy(val){
				uni.setClipboardData({
					data: val,
					complete() {
						req.msg('复制成功')
					}
				})
			},
			// 拨打电话
			callPhone(val) {
				if(!val) return false
			    uni.makePhoneCall({
			        phoneNumber: val
			    });
			},
		},
		mounted() {
		},
	}
</script>

<style>
	@import "./clientDetail.css";
</style>